## org.apache.mahout.common.iterator
Class StringRecordIterator

    java.lang.Object
      com.google.common.collect.ForwardingObject
          com.google.common.collect.ForwardingIterator<Pair<List<String>,Long>>
              org.apache.mahout.common.iterator.StringRecordIterator

All Implemented Interfaces:
  Iterator<Pair<List<String>,Long>>

    public class StringRecordIterator

extends com.google.common.collect.ForwardingIterator<Pair<List<String>,Long>>

Constructor Summary
`StringRecordIterator(Iterable<String> stringIterator, String pattern)`

Method Summary
`protected Iterator<Pair<List<String>,Long>>` `delegate()`

Methods inherited from class com.google.common.collect.ForwardingIterator
`hasNext, next, remove`

Methods inherited from class com.google.common.collect.ForwardingObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringRecordIterator

    public StringRecordIterator(Iterable<String> stringIterator,
                                String pattern)

Method Detail

### delegate

    protected Iterator<Pair<List<String>,Long>> delegate()

  Overrides:
    `delegate` in class `com.google.common.collect.ForwardingIterator<Pair<List<String>,Long>>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.